classification
Title: No SSL match_hostname() in nntplib
Type: security Stage: resolved
Components: Library (Lib) Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Arfrever, christian.heimes, jwilk, python-dev
Priority: normal Keywords: patch

Created on 2013-11-25 23:46 by christian.heimes, last changed 2013-12-10 11:18 by jwilk. This issue is now closed.

Files
File name Uploaded Description Edit
check_nntplib.patch christian.heimes, 2013-11-25 23:46 review
Messages (2)
msg204436 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2013-11-25 23:46
match_hostname patch for nntplib (see #19509). The patch doesn't have tests yet.
msg205043 - (view) Author: Roundup Robot (python-dev) Date: 2013-12-02 19:20
New changeset 42a6919ee7e5 by Christian Heimes in branch 'default':
Issue #19783: nntplib now supports SSLContext.check_hostname and server name
http://hg.python.org/cpython/rev/42a6919ee7e5
History
Date User Action Args
2013-12-10 11:18:44jwilksetnosy: + jwilk
2013-12-02 19:20:36christian.heimessetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2013-12-02 19:20:20python-devsetnosy: + python-dev
messages: + msg205043
2013-11-26 02:25:11Arfreversetnosy: + Arfrever
2013-11-25 23:48:56christian.heimeslinkissue19509 dependencies
2013-11-25 23:46:48christian.heimescreate